<template>
    <div>
        <div>
            <input
                class="uk-input"
                type="text"
                placeholder="Créer une possibilité"
                v-model="texteChoix"
            />
            <input
                class="uk-checkbox"
                type="checkbox"
                v-model="resultatChoix"
            />
            Option valide
            <button class="uk-button uk-button-default" @click="ajouterChoix">
                Ajouter choix possible
            </button>
        </div>
        <div>
            <div
                v-for="choix in etatEdition.choixMultiple"
                :key="choix.getLibelle()"
            >
                <ul class="uk-list uk-list-divider">
                    <li>
                        {{ choix.getLibelle() }}
                        <span :uk-icon="getIconChoix(choix)"></span>
                        <button
                            class="uk-button uk-button-default"
                            @click="supprimerChoix(choix)"
                        >
                            Supprimer
                        </button>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</template>

<script lang="ts">
import Choix from '@/classes/Choix';
import Vue from 'vue';
import { Component } from 'vue-property-decorator';
import { getInstanceEtatEdition } from './EtatEdition';
@Component
export default class ChoixMultiple extends Vue {
    private etatEdition = null;
    private resultatChoix = false;
    private texteChoix = '';

    created() {
        this.etatEdition = getInstanceEtatEdition();
    }

    public ajouterChoix() {
        const choix = new Choix();
        choix.setLibelle(this.texteChoix);
        choix.setResultat(this.resultatChoix);
        this.etatEdition.choixMultiple.push(choix);
    }

    public getIconChoix(choix: Choix) {
        return choix.getResultat() ? 'icon: check' : 'icon: close';
    }

    public supprimerChoix(choix: Choix) {
        this.etatEdition.choixMultiple.splice(
            this.etatEdition.choixMultiple.indexOf(choix),
            1
        );
    }
}
</script>
